---
Name: migrate-esxi-agent
Description: Setup SSH and call the drp-migrate-esxi-agent.sh script
Documentation:
  This task runs `/tmp/drp-migrate-esxi-agent.sh`, which was placed on the system by the `migrate-esxi-enable-ssh` task.  It shoud run from the `ansible` context.
Meta:
  color: red
  icon: truck
Templates:
  - Name: migrate-esxi-agent.sh
    Meta:
      color: red
      icon: truck
    Contents: |-
      {{ template "prelude.tmpl" . }}

      echo Attempting to restart agent via ssh.
      echo {{ .Param "migrate-machine/esxi-ssh-priv-key" }} | base64 -d - > /tmp/key
      chmod 0400 /tmp/key
      ssh -o StrictHostKeyChecking=no -i /tmp/key root@{{ .Machine.Address }} /tmp/migrate-esxi-agent.sh || :
      echo Agent restarted successfully.
